<div *ngIf="visualizza ; else buttonAdd">

  <form [formGroup]="myForm" (ngSubmit)="onSubmit(myForm.value)">
    Id: <input type="text" formControlName="id"> <br>
    Titolo: <input type="text" formControlName="titolo"><br>
    Autore: <input type="text" formControlName="autore"><br>
    Prezzo: <input type="text" formControlName="prezzoCopertina"><br>
    <button type="submit">salva</button>
    <button (click)="annulla()" >annulla</button>
  </form>

</div>

<ng-template #buttonAdd>
  <button (click)="visualizzaAdd()">Add</button>


  <hr>
  <li *ngFor="let libro of libri$ | async">
    {{libro | json }}

  </li>
</ng-template>